<?php
/**
 * About configuration
 *
 * @package Magazine_Pro_News
 */

$config = array(
	'menu_name' => esc_html__( 'About Magazine Pro News', 'magazine-pro-news' ),
	'page_name' => esc_html__( 'About Magazine Pro News', 'magazine-pro-news' ),

	/* translators: theme version */
	'welcome_title' => sprintf( esc_html__( 'Welcome to %s - ', 'magazine-pro-news' ), 'Magazine Pro News' ),

	/* translators: 1: theme name */
	'welcome_content' => sprintf( esc_html__( 'This page will help you to setup %1$s with few clicks. We believe you will find it easy to use and perfect for your website development.', 'magazine-pro-news' ), 'Magazine Pro News' ),

	// Quick links.
	'quick_links' => array(
		'theme_url' => array(
			'text' => esc_html__( 'Theme Details','magazine-pro-news' ),
			'url'  => THEME_URL,
			),
		'demo_url' => array(
			'text' => esc_html__( 'View Demo','magazine-pro-news' ),
			'url'  => THEME_DEMO_URL,
			),
		'documentation_url' => array(
			'text'   => esc_html__( 'View Documentation','magazine-pro-news' ),
			'url'    => DOCUMENTATION_URL,
			'button' => 'primary',
			),
		'rate_url' => array(
			'text' => esc_html__( 'Rate This Theme','magazine-pro-news' ),
			'url'  => 'https://wordpress.org/support/theme/magazine-pro-news/reviews/',
			),
		),

	// Tabs.
	'tabs' => array(
		'getting_started'     => esc_html__( 'Getting Started', 'magazine-pro-news' ),
		'recommended_actions' => esc_html__( 'Recommended Actions', 'magazine-pro-news' ),
		'support'             => esc_html__( 'Support', 'magazine-pro-news' )		
	),

	// Getting started.
	'getting_started' => array(
		array(
			'title'               => esc_html__( 'Theme Documentation', 'magazine-pro-news' ),
			'text'                => esc_html__( 'Find step by step instructions with video documentation to setup theme easily.', 'magazine-pro-news' ),
			'button_label'        => esc_html__( 'View documentation', 'magazine-pro-news' ),
			'button_link'         => DOCUMENTATION_URL,
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		array(
			'title'               => esc_html__( 'Recommended Actions', 'magazine-pro-news' ),
			'text'                => esc_html__( 'We recommend few steps to take so that you can get complete site like shown in demo.', 'magazine-pro-news' ),
			'button_label'        => esc_html__( 'Check recommended actions', 'magazine-pro-news' ),
			'button_link'         => esc_url( admin_url( 'themes.php?page=magazine-pro-news-about&tab=recommended_actions' ) ),
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
		array(
			'title'               => esc_html__( 'Customize Everything', 'magazine-pro-news' ),
			'text'                => esc_html__( 'Start customizing every aspect of the website with customizer.', 'magazine-pro-news' ),
			'button_label'        => esc_html__( 'Go to Customizer', 'magazine-pro-news' ),
			'button_link'         => esc_url( wp_customize_url() ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),		
	),

	// Recommended actions.
	'recommended_actions' => array(
		'content' => array(
			
			'front-page' => array(
				'title'       => esc_html__( 'Setting Static Front Page','magazine-pro-news' ),
				'description' => esc_html__( 'Create a new page to display on front page ( Ex: Home ) and assign "Home" template. Select A static page then Front page and Posts page to display front page specific sections.', 'magazine-pro-news' ),
				'id'          => 'front-page',
				'check'       => ( 'page' === get_option( 'show_on_front' ) ) ? true : false,
				'help'        => '<a href="' . esc_url( wp_customize_url() ) . '?autofocus[section]=static_front_page" class="button button-secondary">' . esc_html__( 'Static Front Page', 'magazine-pro-news' ) . '</a>',
			),
		),
	),

	// Support.
	'support_content' => array(
		'first' => array(
			'title'        => esc_html__( 'Contact Support', 'magazine-pro-news' ),
			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'If you have any problem, feel free to create ticket on our dedicated Support forum.', 'magazine-pro-news' ),
			'button_label' => esc_html__( 'Contact Support', 'magazine-pro-news' ),
			'button_link'  => esc_url( SUPPORT_URL ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Theme Documentation', 'magazine-pro-news' ),
			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Kindly check our theme documentation for detailed information and video instructions.', 'magazine-pro-news' ),
			'button_label' => esc_html__( 'View Documentation', 'magazine-pro-news' ),
			'button_link'  => DOCUMENTATION_URL,
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'third' => array(
			'title'        => esc_html__( 'Customization Request', 'magazine-pro-news' ),
			'icon'         => 'dashicons dashicons-admin-tools',
			'text'         => esc_html__( 'We have dedicated team members for theme customization. Feel free to contact us any time if you need any customization service.', 'magazine-pro-news' ),
			'button_label' => esc_html__( 'Customization Request', 'magazine-pro-news' ),
			'button_link'  => SUPPORT_URL,
			'is_button'    => false,
			'is_new_tab'   => true,
		)
		
	),	

);
Magazine_Pro_News_About::init( apply_filters( 'magazine_pro_news_about_filter', $config ) );